# Next Template

## Folders

### Components

Folder where you put your React components

### libs

Serverside Internal libs

### pages

NextJS Pages

### public

Static files

### Scripts

Scripts used by the project

### styl

Stylus files location

## TODO list

### Typescript/Javascript

- [x] Support Typescript
- [x] Support Javascript
- [ ] Support Javascript files Linting

### Stylus

- [x] Support Stylus files
- [x] Support Stylus Styled-jsx
- [ ] Support both Stylus CSS modules and purge CSS
- [ ] Support typed stylus files


## Packages

### Dependencies

- @zeit/next-stylus: Stylus support in Nextjs
- glob: Sitemap Generation
- next: Nextjs
- next-compose-plugins: Better plugin formatting in config
- next-purgecss: PurgeCSS Plugin in config
- react: React
- react-dom: React DOM (React Dependency)
- serve: Server for static website
- styled-jsx-plugin-stylus: Styled-JSX plugin of Stylus
- stylus: Stylus
- typescript: Typescript
- webpack: Webpack
- webpack-cli: Webpack dependency

### Dev Dependencies

- @types/node: Typescript Typing
- @types/react: Typescript Typing
- @typescript-eslint/eslint-plugin: ESLint Typescript Plugin
- @typescript-eslint/parser: ESLint Typescript parser
- eslint: ESLint
- eslint-plugin-react: ESLint React Plugin
